=== ui/requirements.txt ===
grpcio-tools>=1.10.1
pyinotify==0.9.6
unicode_slugify==0.1.5
pyqt5>=5.6
protobuf
