=== debian/changelog ===
opensnitch (1.6.9-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2116578). Remaining changes:
    - Fix FTBFS due to kernel headers (LP: 2112262)
      + 2050-fix-kernel-headers-folder.patch
      + 2051-add-ebpf-rule-mapping-for-riscv.patch

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Fri, 04 Jul 2025 16:29:17 +0000

opensnitch (1.6.9-3) unstable; urgency=medium

  * Added python3-packaging as runtime dependency for
    python3-opensnitch-ui, seem to need it.
  * Corrected name of README.sources and updated to reflect new
    reality.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 24 Jun 2025 07:47:33 +0200

opensnitch (1.6.9-2ubuntu1) questing; urgency=medium

  * Fix FTBFS due to kernel headers (LP: #2112262)
    - 2050-fix-kernel-headers-folder.patch
    - 2051-add-ebpf-rule-mapping-for-riscv.patch

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Sat, 31 May 2025 09:10:56 +0200

opensnitch (1.6.9-2) unstable; urgency=medium

  * Team upload.

  * Told lintian to accept EBPF objects in package.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 03 May 2025 05:50:32 +0200

opensnitch (1.6.9-1) experimental; urgency=medium

  * Team upload.

  * New upstream release 1.6.9.
  * Removed upstreamed patches:
    - 0000-ui-finally-service.patch
    - 0020-unknown-rules-operator-crash.patch
    - 0030-daemon-visible-version.patch
    - 0040-delete-all-generated-protobuffers-with-make-clean.patch
    - 0050-allow-to-configure-GC-percentage.patch
    - 0060-make-connections-flushing-configurable.patch

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 29 Apr 2025 07:35:00 +0200

opensnitch (1.6.8-11) unstable; urgency=medium

  * Team upload.

  * Corrected typo in patch metadata.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 29 Apr 2025 07:20:39 +0200

opensnitch (1.6.8-10) experimental; urgency=medium

  * Team upload.

  * Added 1050-ebpf-s390x.patch to fix ebpf build problem on s390x.
  * Renamed to 0030-daemon-visible-version.patch as this patch
    is from upstream now.
  * Removed already dropped 0010-experimental-1.5.9.1.patch.
  * Added three patches from the upstream 1.6.0 branch.
  * Changed opensnitch package behaviour to not reset TCP connections on
    reload (Closes: #1103496).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 26 Apr 2025 07:45:17 +0200

opensnitch (1.6.8-9) experimental; urgency=medium

  * Team upoad.

  * Added 2000-apt-not-pip.patch to recommend apt over pip.
  * Passed patches upstream and introduced patch naming scheme.
  * Added 1030-systemd-service-earlier.patch to start service earlier
    and protect it from kernel OOM killer.
  * Added 1040-daemon-visible-version.patch to correct visible daemon
    version.
  * Added 0020-unknown-rules-operator-crash.patch from upstream.
  * Added needrestart conf to avoid opensnitch restarts.
  * Added debian branch name to d/gbp.conf.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 24 Apr 2025 06:50:04 +0200

opensnitch (1.6.8-8) unstable; urgency=medium

  * Team upload.

  * Made test-fw-rules.sh autopkgtest check more robust
    and updated it to only look for nftables.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 Apr 2025 19:46:18 +0200

opensnitch (1.6.8-7) unstable; urgency=medium

  * Team upload.

  * Upload to unstable.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 Apr 2025 01:32:00 +0200

opensnitch (1.6.8-6) experimental; urgency=medium

  * Team upload.

  * Replaced uploaders, out with no longer active Gustavo Iñiguez Goya
    and in with Charles Allhands and myself.
  * Thank you, Gustavo, for the great initial work with this package.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 Apr 2025 00:38:08 +0200

opensnitch (1.6.8-5) experimental; urgency=medium

  * Team upload.

  * Revert arch specific build dependency on golang-github-iovisor-gobpf-dev.
  * Added 1010-ui-finally-service.patch to avoid python error on GUI exit.
  * New upstream version available (Closes: #1051317).
  * Uses corrected python regexes (Closes: #1085754).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Apr 2025 16:34:43 +0200

opensnitch (1.6.8-4) experimental; urgency=medium

  * Team upload.

  * Corrected linux header package name for armhf.
  * Limit EBPF support to architectures provided by bpfcc.
  * Adjusted opensnitch to only recommend opensnitch-ebpf-modules on archs
    where it exist.
  * Dropped incorrect runtime dependency on python3-setuptools
    (Closes: #1095252).
  * Dropped obsolete runtime dependency on python3-six (Closes: #1067722).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Apr 2025 14:45:27 +0200

opensnitch (1.6.8-3) experimental; urgency=medium

  * Team upload.

  * Switched to using kernel headers from debs, as local header copy
    only worked on amd64.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Apr 2025 12:54:58 +0200

opensnitch (1.6.8-2) experimental; urgency=medium

  * Team upload.

  * Added missing golang-github-varlink-go-dev build dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Apr 2025 10:55:29 +0200

opensnitch (1.6.8-1) experimental; urgency=medium

  * Team upload.

  * New upstream release.
  * Updated Standards-Version from 4.6.2 to 4.7.2.
  * List protoc-gen-go-1-3 as build depend alternative to protoc-gen-go-1-5
    for easier backporting.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Apr 2025 09:08:49 +0200

opensnitch (1.5.9-4) experimental; urgency=medium

  * Team upload.

  * Added leftover build dependency protoc-gen-go-1-5.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 15 Apr 2025 06:18:52 +0200

opensnitch (1.5.9-3) experimental; urgency=medium

  * Team upload.

  [ Gustavo Iñiguez Goya ]
  * New upstream release.
  * d/control: removed kernel headers dependency.

  [ Petter Reinholdtsen ]
  * Moved untagged upstream snapshot into 0010-experimental-1.5.9.1.patch.
  * Adjusted build dependencies to work with current unstable.

